from functools import partial

from pscr_integration.api.api_request import LambdaApiRequest, LambdaApiResponse


class IndexRegistryApi:
    def __init__(self, index_registry_lambda: str, org_id: str):
        self.org_id = org_id
        self._make_request = partial(LambdaApiRequest, org_id=org_id, aws_lambda=index_registry_lambda)

    def deregister_org(self) -> LambdaApiResponse:
        """
        This endpoint deregisters the org.
        :return: an ApiResponse with either a valid response or error information
        """
        route = "/registry/index/v1/expire/org"
        payload = {"route": route, "params": {"org_id": self.org_id}}
        request = self._make_request()
        return request.send_request(route, "PUT", payload)
