import pytest
import boto3
from pscr_integration.test_lifecycle.active_session import is_smoke


def pytest_collection_modifyitems(config, items):
    # Make sure that the "test_shard_map_updated" test runs last and only in smoke test mode.
    # It tests org_mapper and that runs on a schedule,
    # so we don't want to have this test in the begining, blocking the whole suite.
    # Otherwise we delete it because org_mapper doesn't do its full run in IT envs, so that test will fail.
    for idx, test in enumerate(items):
        if test.name == "test_shard_map_updated":
            if is_smoke():
                items.append(items[idx])
            del items[idx]
            break


@pytest.fixture
def s3_client():
    return boto3.client("s3")
