import time
from datetime import datetime

import pytest


@pytest.mark.skip("This is flaky in staging")
@pytest.mark.smoke_test
class TestOrgMapper:
    def test_shard_map_updated(self, config, s3_client):
        """Make sure Org mapper is running by waiting for a shard map to get generated,
        after the tests have started running.
        """
        admin_bucket = f'{config["env_vars"]["ENV_NAME"]}-pscr-admin-bucket'
        shard_map_key = "org_mapper/shard-maps/latest.txt"

        latest_shard_map = s3_client.head_object(Bucket=admin_bucket, Key=shard_map_key)
        tests_start_time = config["tests_start_time"].astimezone(latest_shard_map["LastModified"].tzinfo)

        while tests_start_time > latest_shard_map["LastModified"]:
            if (datetime.now(latest_shard_map["LastModified"].tzinfo) - tests_start_time).seconds > 600:
                # fail the test if a new shard map has not been generated in 10 mins
                pytest.fail("Org mapper doesn't seem to be running")

            time.sleep(5)
            latest_shard_map = s3_client.head_object(Bucket=admin_bucket, Key=shard_map_key)
