from pscr_integration.search.searcher import Searcher
from pscr_integration.search.searcher_service import SearcherService
from pscr_integration.search.searcher_type import SearcherType


class SearcherFactory:
    @staticmethod
    def get_searcher(
        searcher_type: SearcherType,
        service_endpoint: str,
        org_id: str,
        device_id_start: int,
        device_id_end: int,
    ) -> Searcher:
        if searcher_type == SearcherType.SERVICE:
            return SearcherService(
                private_link_hostname=service_endpoint,
                org_id=org_id,
                device_id_start=device_id_start,
                device_id_end=device_id_end,
            )
        raise NotImplementedError
