def get_feed_data():
    feedinfo = {
        "name": "IntegrationTestFeed",
        "provider_url": "https://test.feed.com",
        "summary": "Integration Test",
        "category": "CAT",
        "access": "private",
    }
    reports = [
        {
            "id": "report1",
            "timestamp": 0,
            "link": "https://test.feed.com/report1",
            "title": "Report 1 Title",
            "description": "Report 1 Description",
            "severity": 5,
            "iocs": {"ipv4": ["192.168.1.2", "127.0.0.1"]},
            "iocs_v2": None,
            "iocs_total_count": 0,
            "visibility": None,
            "tags": None,
        },
        {
            "id": "report2",
            "timestamp": 0,
            "link": "https://test.feed.com/report2",
            "title": "Report 2 Title",
            "description": "Report 2 Description",
            "severity": 7,
            "iocs": None,
            "iocs_v2": [
                {
                    "id": "test_ioc",
                    "match_type": "regex",
                    "field": "hash",
                    "values": ["search.+host.exe", "search........exe"],
                    "link": "https://test.feed.com/report2/test_ioc",
                }
            ],
            "iocs_total_count": 1,
            "visibility": None,
            "tags": None,
        },
        {
            "id": "report3",
            "timestamp": 0,
            "link": "https://test.feed.com/report3",
            "title": "Report 3 Title",
            "description": "Report 3 Description",
            "severity": 8,
            "iocs": None,
            "iocs_v2": [
                {
                    "id": "test_ioc",
                    "match_type": "query",
                    "field": "123",
                    "values": ["process_name:a*", "parent_name:baz"],
                    "link": "https://test.feed.com/report3/test_ioc",
                }
            ],
            "iocs_total_count": 1,
            "visibility": None,
            "tags": None,
        },
    ]
    return {"feedinfo": feedinfo, "reports": reports}


def get_feed_data_2():
    feedinfo = {
        "name": "IntegrationTestFeed2",
        "provider_url": "https://test.feed.com",
        "summary": "Integration Test",
        "category": "CAT",
        "access": "private",
    }
    reports = [
        {
            "id": "report4",
            "timestamp": 0,
            "link": "https://test.feed.com/report3",
            "title": "Report 4 Title",
            "description": "Report 4 Description",
            "severity": 8,
            "iocs": None,
            "iocs_v2": [
                {
                    "id": "test_ioc_2",
                    "match_type": "query",
                    "field": "123",
                    "values": ["process_name:explorer*"],
                    "link": "https://test.feed.com/report4/test_ioc",
                }
            ],
            "iocs_total_count": 1,
            "visibility": None,
            "tags": None,
        }
    ]
    return {"feedinfo": feedinfo, "reports": reports}


def get_feed_data_3():
    feedinfo = {
        "name": "IntegrationTestFeed3",
        "provider_url": "https://test.feed.com",
        "summary": "Integration test",
        "category": "Cat",
        "access": "private",
    }
    reports = [
        {
            "id": "report5",
            "timestamp": 0,
            "link": "https://test.feed.com/report3",
            "title": "Report 5 Title",
            "description": "Report 5 Description",
            "severity": 8,
            "iocs": None,
            "iocs_v2": [
                {
                    "id": "test_ioc_2",
                    "match_type": "query",
                    "field": "123",
                    "values": ["process_name:explorer*"],
                    "link": "https://test.feed.com/report5/test_ioc",
                }
            ],
            "iocs_total_count": 1,
            "visibility": None,
            "tags": None,
        }
    ]
    return {"feedinfo": feedinfo, "reports": reports}


def get_feed_data_4():
    feedinfo = {
        "name": "IntegrationTestFeed4",
        "provider_url": "https://test.feed.com",
        "summary": "Integration test",
        "category": "Cat",
        "access": "private",
    }
    reports = [
        {
            "id": "report6",
            "timestamp": 0,
            "link": "https://test.feed.com/report3",
            "title": "Report 6 Title",
            "description": "Report 6 Description",
            "severity": 8,
            "iocs": None,
            "iocs_v2": [
                {
                    "id": "test_ioc_2",
                    "match_type": "query",
                    "field": "123",
                    "values": ["process_name:explorer*"],
                    "link": "https://test.feed.com/report5/test_ioc",
                }
            ],
            "iocs_total_count": 1,
            "visibility": None,
            "tags": None,
        }
    ]
    return {"feedinfo": feedinfo, "reports": reports}


feed_data = get_feed_data()
feed_data_2 = get_feed_data_2()
feed_data_3 = get_feed_data_3()
feed_data_4 = get_feed_data_4()
