from uuid import uuid4
from typing import Any, AnyStr, Dict, Sequence


def get_saved_search_data(org_id: AnyStr) -> Sequence[Dict[AnyStr, Any]]:
    return [
        {
            "id": str(uuid4()),
            "favorited": True,
            "name": "name",
            "org_key": org_id,
            "search_time": "2008-09-15T15:53:00Z",
            "type": "PROCESSES",
            "user_id": 120214,
            "user_name": "test@example.com",
            "search_params": {
                "query": "*:*",
                "criteria": {"process_name": ["chrome.exe"]},
                "exclusions": {"device_name": ["cleopold-host-1"]},
                "start": 0,
                "time_range": {},
                "fields": None,
            },
        },
        {
            "id": str(uuid4()),
            "name": "name",
            "favorited": True,
            "org_key": org_id,
            "search_time": "2008-09-15T15:54:00Z",
            "type": "PROCESSES",
            "user_id": 120214,
            "user_name": "test@example.com",
            "search_params": {
                "query": "*:*",
                "criteria": {},
                "exclusions": {},
                "start": 0,
                "time_range": {},
                "fields": None,
            },
        },
    ]
