import logging

from pscr_integration.ubs import kinesis_ubs

_logger = logging.getLogger(__name__)


class TestUBS:
    def test_event_count(self, config, load_org_1):
        expected_ubs_events = config["config_file"]["test_constants"]["org1_ubs_event_count"]
        ubs_stream = f"{config['env_vars']['ENV_NAME']}__ubs_test"
        ubs_count = len(kinesis_ubs.get_ubs_events(ubs_stream, load_org_1["loader"].org_id, expected_ubs_events))
        _logger.info(f"Found {ubs_count} UBS events")
        # Cannot be strict because number of unique UBS hashes is dependent on checkpoint timing
        assert ubs_count >= expected_ubs_events
